# GUISpaceCompoundScrollButton

class GUISpaceCompoundScrollButton<T : ForInventory>(icon: ItemStack, compound: AbstractGUISpaceCompound<T, *>, scrollDistance: Int, scrollTimes: Int, reverse: Boolean) : GUIButton<T>
Content copied to clipboard

## Constructors

GUISpaceCompoundScrollButton
Link copied to clipboard
fun <T : ForInventory> GUISpaceCompoundScrollButton(icon: ItemStack, compound: GUIRectSpaceCompound<T, *>, scrollTimes: Int = 1, reverse: Boolean = false)
Content copied to clipboard

## Functions

getItemStack
Link copied to clipboard
override fun getItemStack(slot: Int): ItemStack
Content copied to clipboard
onClick
Link copied to clipboard
override fun onClick(clickEvent: GUIClickEvent<T>)
Content copied to clipboard